Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Private Attributes | List of all members
cz.vutbr.feec.novak68.hogcomparators.HorizontalElementComparator Class Reference
Inheritance diagram for cz.vutbr.feec.novak68.hogcomparators.HorizontalElementComparator:
[legend]
Collaboration diagram for cz.vutbr.feec.novak68.hogcomparators.HorizontalElementComparator:
[legend]

## Public Member Functions
| HorizontalElementComparator ()
| HorizontalElementComparator (float threshold)
double | getDistance (HOG hog1, HOG hog2)

## Private Attributes
float | threshold

## Additional Inherited Members
Protected Member Functions inherited from cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator
int | computeHorizontalElements (float[][][] cells, float threshold)
int | computeVerticalElements (float[][][] cells, float threshold)
int | computeOtherElements (float[][][] cells, float threshold)
int | computeAllElements (float[][][] cells, float threshold)

## Detailed Description

Object is used to compute horizontal elements. Only one available argument is in constructor threshold, which defines the lowest acceptable value of element

Author
  xnovak68

See also
  ElementBaseComparator

Definition at line 10 of file HorizontalElementComparator.java.

## Constructor & Destructor Documentation

cz.vutbr.feec.novak68.hogcomparators.HorizontalElementComparator.HorizontalElementComparator | ( |  | ) |

Definition at line 12 of file HorizontalElementComparator.java.

cz.vutbr.feec.novak68.hogcomparators.HorizontalElementComparator.HorizontalElementComparator | ( | float | threshold | ) |

Definition at line 15 of file HorizontalElementComparator.java.

References cz.vutbr.feec.novak68.hogcomparators.HorizontalElementComparator.threshold.

## Member Function Documentation

double cz.vutbr.feec.novak68.hogcomparators.HorizontalElementComparator.getDistance | ( | HOG | hog1,
|  | HOG | hog2
| ) |  |

Implements cz.vutbr.feec.novak68.hogcomparators.HOGComparator.

Definition at line 19 of file HorizontalElementComparator.java.

References cz.vutbr.feec.novak68.hogcomparators.ElementBaseComparator.computeHorizontalElements(), cz.vutbr.feec.novak68.HOG.getCells(), and cz.vutbr.feec.novak68.hogcomparators.HorizontalElementComparator.threshold.

Referenced by cz.vutbr.feec.novak68.extractors.SimpleHogPropertyExtractor.extractProperies().

Here is the call graph for this function:

## Member Data Documentation

float cz.vutbr.feec.novak68.hogcomparators.HorizontalElementComparator.threshold
| private

Definition at line 11 of file HorizontalElementComparator.java.

Referenced by cz.vutbr.feec.novak68.hogcomparators.HorizontalElementComparator.getDistance(), and cz.vutbr.feec.novak68.hogcomparators.HorizontalElementComparator.HorizontalElementComparator().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/hogcomparators/HorizontalElementComparator.java